---
lang: en
title: 'API docs: context.invocationcontext.assertmethodexists'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.invocationcontext.assertmethodexists.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InvocationContext](./context.invocationcontext.md) &gt; [assertMethodExists](./context.invocationcontext.assertmethodexists.md)

## InvocationContext.assertMethodExists() method

Assert the method exists on the target. An error will be thrown if otherwise.

**Signature:**

```typescript
assertMethodExists(): Record<string, Function>;
```
**Returns:**

Record&lt;string, Function&gt;


